// 设置请求基础配置
let baseURL;
switch (import.meta.env.MODE) {
  case 'development':
    baseURL = import.meta.env.SHEEP_DEV_BASE_URL;
    break;
  case 'development-mock':
    baseURL = import.meta.env.SHEEP_DEV_MOCK_URL;
    break;
  default:
    baseURL = import.meta.env.SHEEP_BASE_URL;
}

if (baseURL === '/') {
  baseURL = window.location.origin;
}

const version = import.meta.env.SHEEP_VERSION;
console.log(`SheepJS ${version}  https://www.sheepjs.com/`);
export { baseURL, version };
